*{
    margin: 0;
    padding: 0;
}

.logo-header{
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    box-shadow: 1px solid white;
    padding: 1rem 0.3rem;
}

.logo img{
    width: 300px;
    height: 300px;
    filter: drop-shadow(4px 6px 12px rgba(255,255,255,0.2));
    animation: logoanimate 4s alternate infinite;
}

.login{
    display: flex;
    justify-content: center;
    background: linear-gradient(rgba(255,255,255,0.9),rgba(255,255,255,0.8),rgba(255,255,255,0.9));
    width: 90%;
    border-radius: 10px;
    margin: 0 auto;
}

.login h1{
    text-align: center;
    color: rgb(80, 77, 77);
}

.login form{
    width: 100%;
    padding: 1rem 2.5rem;
    box-shadow: rgba(0, 0, 0, 0.19) 2.95px 2.95px 3.6px;
    box-sizing: border-box;
    font-size: 17px;
}

.login form h1{
    font-size: 24px;
}

.login a{
    cursor: pointer;
}

.login input{
    border-radius: 6px;
    padding: 0.7rem 0.4rem;
    border-style: none;
    border: 1px solid rgba(0, 0, 0, 0.16);
    margin: 0 0 0.8rem 0;
    box-shadow: rgba(0, 0, 0, 0.12) 1.95px 1.95px 2.6px;
    font-size: 17px;
    width: 95%;
}

.login a{
    color: rgb(62, 61, 61);
}

.login button{
    padding: 1rem;
    background: #36175e;
    color: aliceblue;
    border-radius: 50px;
    border-style: none;
    margin: 4px 0;
    opacity: 0.8;
    font-size: 17px;
}

.login button:hover{
    cursor: pointer;
    transition: all 900ms;
    background: #36175e;
    opacity: 1;
}

.login button span{
    cursor: pointer;
    display: inline-block;
    position: relative;
    transition: 0.5s;
}

.login button span:after{
    content: '\00bb';
    position: absolute;
    opacity: 0;
    top: 0;
    right: -20px;
    transition: 0.5s;
}

.login button:hover span{
    padding-right: 25px;
}

.login button:hover span::after{
    opacity: 1;
    right: 0;
}

.loaging{
    display: flex;
    justify-content: center;
    margin: 0.8rem;
}

@media (width <= 400px) {
    .logo img{
        width: 200px;
        height: 200px;
    }
    .login {
        width: 100%;
    }
    .login form{
        padding: 1rem;
    }
    h1{
        font-size: 20px;
    }
    label{
        font-size: 17px;
    }
    .botones-recuperar-email{
        margin: 0;
    }
}

/** Animaciones **/
.content{
    width: 100%;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    margin: auto;
    z-index: 100;   
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.area{
    width: 100%;
    height:100vh;
}

.circles{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.circles li{
    position: absolute;
    display: block;
    list-style: none;
    width: 20px;
    height: 20px;
    background: rgba(255, 255, 255, 0.2);
    animation: animate 25s linear infinite;
    bottom: -150px;
    
}

.circles li:nth-child(1){
    left: 25%;
    width: 80px;
    height: 80px;
    animation-delay: 0s;
}


.circles li:nth-child(2){
    left: 10%;
    width: 20px;
    height: 20px;
    animation-delay: 2s;
    animation-duration: 12s;
}

.circles li:nth-child(3){
    left: 70%;
    width: 20px;
    height: 20px;
    animation-delay: 4s;
}

.circles li:nth-child(4){
    left: 40%;
    width: 60px;
    height: 60px;
    animation-delay: 0s;
    animation-duration: 18s;
}

.circles li:nth-child(5){
    left: 65%;
    width: 20px;
    height: 20px;
    animation-delay: 0s;
}

.circles li:nth-child(6){
    left: 75%;
    width: 110px;
    height: 110px;
    animation-delay: 3s;
}

.circles li:nth-child(7){
    left: 35%;
    width: 150px;
    height: 150px;
    animation-delay: 7s;
}

.circles li:nth-child(8){
    left: 50%;
    width: 25px;
    height: 25px;
    animation-delay: 15s;
    animation-duration: 45s;
}

.circles li:nth-child(9){
    left: 20%;
    width: 15px;
    height: 15px;
    animation-delay: 2s;
    animation-duration: 35s;
}

.circles li:nth-child(10){
    left: 85%;
    width: 150px;
    height: 150px;
    animation-delay: 0s;
    animation-duration: 11s;
}

.botones-recuperar-email{
    margin: 0.6rem 0 0 0;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

@keyframes animate {
    0%{
        transform: translateY(0) rotate(0deg);
        opacity: 1;
        border-radius: 0;
    }
    100%{
        transform: translateY(-1000px) rotate(720deg);
        opacity: 0;
        border-radius: 50%;
    }
}

@keyframes logoanimate {
    from{
        filter: drop-shadow(4px 6px 12px rgba(255,255,255,0.2));
    }to{
        filter: drop-shadow(2px 5px 9px rgba(255,255,255,0.1));
    }
}